This is PackageCitations.info, produced by Macaulay2, version 1.20

PackageCitations -- a package facilitating citation of Macaulay2 packages
*************************************************************************

Description
===========

This is a modest package with lofty goals. It is modest because it is a package
for a powerful open-source mathematical software suite but it contains only one
method and adds exactly zero computational ability to the platform. The one
method, called cite, can be called on any Macaulay2 (see
http://www.math.uiuc.edu/Macaulay2/ ) package and will return a bibtex citation
for inclusion in a LaTeX (see https://www.latex-project.org ) document. For
example, a citation for this package can be obtained as follows.

+-----------------------------------------------------------------------------+
|i1 : cite "PackageCitations"                                                 |
|                                                                             |
|o1 = @misc{PackageCitationsSource,                                           |
|       title = {{PackageCitations: citation of \emph{Macaulay2} packages     |
|       author = {Aaron Dall},                                                |
|       howpublished = {A \emph{Macaulay2} package available at "https://     |
|     }                                                                       |
|-----------------------------------------------------------------------------|
|. Version~0.1}},                                                             |
|                                                                             |
|github.com/aarondall/PackageCitations-M2"}                                   |
+-----------------------------------------------------------------------------+

The inner workings of cite, are explained on the
documentation page, so we won't give any details here except to point out
that the preferred citation for Macaulay2 can also be obtained with ease.

+-----------------------------------------------------------------------------+
|i2 : cite                                                                    |
|                                                                             |
|o2 = @misc{M2,                                                               |
|       author = {Grayson, Daniel R. and Stillman, Michael                    |
|       title = {Macaulay2, a software system for research                    |
|       howpublished = {Available at \url{http://www.math.                    |
|     }                                                                       |
|-----------------------------------------------------------------------------|
| E.},                                                                        |
| in algebraic geometry},                                                     |
|uiuc.edu/Macaulay2/}}                                                        |
+-----------------------------------------------------------------------------+

The initial benefit of having a fast and facile mechanism for citing packages
should be that more users of the software will include citations in their work.
This, of course, will benefit the community in a number of ways. First it will
recognize the hard work of the coders in the Macaulay2 community and second it
will serve as valuable promotion for the platform and encourage new users and
coders to join the community.

See also
========

  * cite -- obtain bibtex citations for Macaulay2 packages

Author
======

  * Aaron Dall (see https://www.aarondall.com ) <aaronmdall -at- gmail.com>

Version
=======

This documentation describes version 0.1 of PackageCitations.

Source code
===========

The source code from which this documentation is derived is in the file
PackageCitations.m2 (see common/share/Macaulay2/PackageCitations.m2 ).

Exports
=======

  * Functions and commands
      * cite -- obtain bibtex citations for Macaulay2 packages

For the programmer
==================

The object PackageCitations, is a package (Macaulay2Doc).

cite -- obtain bibtex citations for Macaulay2 packages
******************************************************

Synopsis
========

  * Usage:
        cite
        cite P
        cite S
  * Inputs:
      * P, a package (Macaulay2Doc),
      * S, a string (Macaulay2Doc),
  * Outputs:
      * T, a string (Macaulay2Doc), bibtex entry or entries

Description
===========

When called without an argument, see cite, produces the desired
reference to Macaulay2.

+-----------------------------------------------------------------------------+
|i1 : cite                                                                    |
|                                                                             |
|o1 = @misc{M2,                                                               |
|       author = {Grayson, Daniel R. and Stillman, Michael                    |
|       title = {Macaulay2, a software system for research                    |
|       howpublished = {Available at \url{http://www.math.                    |
|     }                                                                       |
|-----------------------------------------------------------------------------|
| E.},                                                                        |
| in algebraic geometry},                                                     |
|uiuc.edu/Macaulay2/}}                                                        |
+-----------------------------------------------------------------------------+

When applied to a loaded package cite, returns a bibtex citation
for inclusion in a LaTeX document, assuming there is enough information
included in the package to build it. Compare the following.

+-----------------------------------------------------------------------------+
|i2 : cite PackageCitations                                                   |
|                                                                             |
|o2 = @misc{PackageCitationsSource,                                           |
|       title = {{PackageCitations: citation of \emph{Macaulay2} packages     |
|       author = {Aaron Dall},                                                |
|       howpublished = {A \emph{Macaulay2} package available at "https://     |
|     }                                                                       |
|-----------------------------------------------------------------------------|
|. Version~0.1}},                                                             |
|                                                                             |
|github.com/aarondall/PackageCitations-M2"}                                   |
+-----------------------------------------------------------------------------+
|i3 : cite Text                                                               |
|Warning: The "Text" package provides insufficient citation data: author.     |
|                                                                             |
|o3 = @misc{TextSource,                                                       |
|       title = {{Text: documentation and hypertext. Version~0.0}},           |
|       author = {},                                                          |
|       howpublished = {A \emph{Macaulay2} package available at \url{https:// |
|     }                                                                       |
|-----------------------------------------------------------------------------|
|github.com/Macaulay2/M2/tree/master/M2/Macaulay2/packages}}                  |
+-----------------------------------------------------------------------------+

If cite, is given a string, then it will will load the package if
necessary and issue the corresponding citation. Note that if the package is
certified (Macaulay2Doc), then two bibtex entries will be
produced: one for the article witnessing the certification and one for the
source code. Moreover, if the headline of a package does not meet a certain set
of criteria then a more generic title containing  "A Macaulay2 package" is
produced. For example, the package PieriMaps is a certified Macaulay2 package
whose headline is deemed too long by the cite, method.

+-----------------------------------------------------------------------------+
|i4 : cite "PieriMaps"                                                        |
|                                                                             |
|o4 = @misc{PieriMapsSource,                                                  |
|       title = {{PieriMaps: A \emph{Macaulay2} package. Version~1.0          |
|       author = {Steven V Sam},                                              |
|       howpublished = {A \emph{Macaulay2} package available at \url          |
|     }                                                                       |
|                                                                             |
|     @article{PieriMapsArticle,                                              |
|       title = {{Computing inclusions of Schur modules}},                    |
|       author = {Steven V Sam},                                              |
|       journal = {The Journal of Software for Algebra and Geometry:          |
|       volume = {1},                                                         |
|       year = {2009},                                                        |
|     }                                                                       |
|-----------------------------------------------------------------------------|
|}},                                                                          |
|                                                                             |
|{https://github.com/Macaulay2/M2/tree/master/M2/Macaulay2/packages}}         |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
|                                                                             |
| Macaulay2},                                                                 |
+-----------------------------------------------------------------------------+

No effort is made to correct apparent typos in the package data. The user is
urged to check for correct spelling and grammar.

+-----------------------------------------------------------------------------+
|i5 : cite "Bruns"                                                            |
|                                                                             |
|o5 = @misc{BrunsSource,                                                      |
|       title = {{Bruns: make a 3-generator ideal with an ``any" resolution.  |
|       author = {David Eisenbud},                                            |
|       howpublished = {A \emph{Macaulay2} package available at \url{https:// |
|     }                                                                       |
|-----------------------------------------------------------------------------|
|Version~2.0}},                                                               |
|                                                                             |
|github.com/Macaulay2/M2/tree/master/M2/Macaulay2/packages}}                  |
+-----------------------------------------------------------------------------+

See also
========

  * PackageCitations -- a package facilitating citation of
    Macaulay2 packages

For the programmer
==================

The object cite, is a command (Macaulay2Doc).